Subject: disconnect reason codes

From: "Peter W. Gayek" <[email-masked]>
Date: Tue, 21 Feb 95 10:36:56 EST

Steve,
Attached is a first-pass "disconnect reason" list I submitted to the
MIB working group a few weeks ago.  Maybe this can be a starting point
for further discussion.  It is a simple list of values
that can be associated with a disconnected circuit.  For a reason
code flowing in HALT_DL*, it looks like only 3-5 and 8 apply.
4 could be expanded if you are willing to get DLC-specific, 5 could
be broken down a tiny bit, and 8 could be split into SNMP versus console.
We could also add an "other" value to accomodate all other situations.

I think simplicity is a virtue here.  I would vote for a 1 or 2-byte
list of values and their meanings, like the one below.  I personally
think a GDS variable and vendor-specific reasons are overkill.  In
addition to the reason code sent to a partner, a product can always
do a highly granular "log" reason code to give a customer more PD info.

>(3) Enumerated reason code for circuit disconnect
>
>      1 - Received HALT_DL from partner
>      2 - Received HALT_DL_NOACK from partner
>      3 - Received DISC from end-station
>      4 - Detected DLC error with end-station
>      5 - Circuit-level protocol error (e.g., pacing)
>      6 - Transport connection closed normally
>      7 - Transport connection closed due to error
>      8 - Operator-initiated (mgt station or local console)
>
>    (discussion question:  should we distinguish for 6-7 why the
>     TC was closed and what the errors may have been?)

Peter Gayek